<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>AbstractCppPanelView xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/*******************************************************************************</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2006 - 2010 CEA LIST.</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> *     CEA LIST - initial API and implementation</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> *******************************************************************************/</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.cpp.view;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.view.panels.CppAbstractPanel;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.view.panels.PanelFactory;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Composite;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.ui.ISelectionListener;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.ui.part.ViewPart;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Element;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_javadoccomment"> * This class extends &lt;code&gt;ViewPart&lt;/code&gt;. This class draws the Accord/Cpp</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment"> * panel in the Modeling Perspective. It also implements &lt;code&gt;ISelectionListener&lt;/code&gt; in order to know which element is selected</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment"> * in the workbench. In fact, the content of the view changes depending on the</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_javadoccomment"> * type of the element selected</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment"> * @deprecated This view will be replaced by an XWT view for the C++ profile</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  @Deprecated
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">abstract</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html">AbstractCppPanelView</a> <strong class="jxr_keyword">extends</strong> ViewPart <strong class="jxr_keyword">implements</strong> ISelectionListener {
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  	<em class="jxr_javadoccomment">/** parent composite of the panels contained by this view */</em>
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  	<strong class="jxr_keyword">protected</strong> Composite parent;
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  	<em class="jxr_javadoccomment">/** stores the current target */</em>
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  	<strong class="jxr_keyword">protected</strong> Object currentTarget;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  	<em class="jxr_javadoccomment">/** keeps the reference to the panel (abstract class) */</em>
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	<strong class="jxr_keyword">protected</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html">CppAbstractPanel</a> panel;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  	<em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_comment">	 * (non-Javadoc)</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_comment">	 *</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_comment">	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_comment">	 */</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  	@Override
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> createPartControl(Composite parent) {
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  		getViewSite().getPage().addSelectionListener(<strong class="jxr_keyword">this</strong>);
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  		<strong class="jxr_keyword">this</strong>.parent = parent;
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  		panel = createPanel(parent, 0, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  	}
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  	<em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <em class="jxr_comment">	 * (non-Javadoc)</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_comment">	 *</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_comment">	 * @see org.eclipse.ui.part.WorkbenchPart#setFocus()</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_comment">	 */</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  	@Override
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setFocus() {
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  		<em class="jxr_comment">// delegate focus to the panel</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  		panel.setFocus();
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  	}
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  <em class="jxr_javadoccomment">	 * Changes the panel displayed in the view, depending on the type of the</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  <em class="jxr_javadoccomment">	 * newly selected element.</em>
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> switchUI() {
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  		<em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  <em class="jxr_comment">		 * test to check if the panel is not disposed. Closing the panel</em>
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  <em class="jxr_comment">		 * view and open it again creates a second instance of panel, one of</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  <em class="jxr_comment">		 * it is disposed, the new one is active</em>
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <em class="jxr_comment">		 */</em>
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  		<strong class="jxr_keyword">if</strong> (!panel.isDisposed()) {
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  			panel.exitAction();
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  			panel.dispose();
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  			<strong class="jxr_keyword">if</strong> (currentTarget != <strong class="jxr_keyword">null</strong> &amp;&amp; currentTarget instanceof Element) {
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  				<em class="jxr_comment">// creates the new panel given the current target</em>
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  				panel = createPanel(parent, 0, (Element) currentTarget);
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  			} <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  				panel = createPanel(parent, 0, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  			}
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  			panel.setBounds(panel.getParent().getBounds());
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  			panel.entryAction();
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  		}
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  	}
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  <em class="jxr_javadoccomment">	 * Creates the new panel, when switching UI.</em>
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  <em class="jxr_javadoccomment">	 * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  <em class="jxr_javadoccomment">	 * This class should be overloaded when working with RSA or other tools, using a new PanelFactory</em>
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  <em class="jxr_javadoccomment">	 * @param parent</em>
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  <em class="jxr_javadoccomment">	 *            the parent of the new panel</em>
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  <em class="jxr_javadoccomment">	 * @param style</em>
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  <em class="jxr_javadoccomment">	 *            the SWT style of this panel</em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <em class="jxr_javadoccomment">	 * @param element</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> <em class="jxr_javadoccomment">	 *            the element for which the panel is created</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> <em class="jxr_javadoccomment">	 * @return the newly created panel</em>
<a class="jxr_linenumber" name="L103" href="#L103">103</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 	<strong class="jxr_keyword">protected</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html">CppAbstractPanel</a> createPanel(Composite parent, <strong class="jxr_keyword">int</strong> style, Element element) {
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 		<strong class="jxr_keyword">return</strong> PanelFactory.eINSTANCE.createPanel(parent, 0, currentTarget);
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 	}
<a class="jxr_linenumber" name="L107" href="#L107">107</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
